Package org.h2gis.functions.io.file_table

## Class H2TableIndex.DriverRow

- java.lang.Object
- - org.h2.value.VersionedValue<org.h2.value.Value>
  - - org.h2.value.Value
    - - org.h2.result.SearchRow
      - - org.h2.result.Row
        - - org.h2gis.functions.io.file_table.H2TableIndex.DriverRow

All Implemented Interfaces:
  `org.h2.util.HasSQL`, `org.h2.value.Typed`

Enclosing class:
  H2TableIndex

    public static class H2TableIndex.DriverRow
    extends org.h2.result.Row

This class is requiring only field value on demand instead of gathering the full row values from drivers

### Field Summary

### Fields inherited from class org.h2.result.SearchRow

`key, MATCH_ALL_ROW_KEY, MEMORY_CALCULATE, ROWID_INDEX`

### Fields inherited from class org.h2.value.Value

`ARRAY, BIGINT, BINARY, BLOB, BOOLEAN, CHAR, CLOB, DATE, DECFLOAT, DOUBLE, EMPTY_VALUES, ENUM, GEOMETRY, INTEGER, INTERVAL_DAY, INTERVAL_DAY_TO_HOUR, INTERVAL_DAY_TO_MINUTE, INTERVAL_DAY_TO_SECOND, INTERVAL_HOUR, INTERVAL_HOUR_TO_MINUTE, INTERVAL_HOUR_TO_SECOND, INTERVAL_MINUTE, INTERVAL_MINUTE_TO_SECOND, INTERVAL_MONTH, INTERVAL_SECOND, INTERVAL_YEAR, INTERVAL_YEAR_TO_MONTH, JAVA_OBJECT, JSON, MIN_LONG_DECIMAL, NULL, NUMERIC, REAL, ROW, SMALLINT, TIME, TIME_TZ, TIMESTAMP, TIMESTAMP_TZ, TINYINT, TYPE_COUNT, UNKNOWN, UUID, VARBINARY, VARCHAR, VARCHAR_IGNORECASE`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
`DriverRow​(org.h2gis.api.FileDriver driver, long key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyFrom​(org.h2.result.SearchRow source)`
`int` `getColumnCount()`
`int` `getMemory()`
`org.h2.value.Value` `getValue​(int column)`
`org.h2.value.Value[]` `getValueList()`
`void` `setValue​(int i, org.h2.value.Value value)`
`String` `toString()`

### Methods inherited from class org.h2.result.Row

`get, get, hasSameValues, hasSharedData`

### Methods inherited from class org.h2.result.SearchRow

`compareTypeSafe, equals, getKey, getSQL, getString, getType, getValueType, hashCode, isNull, setKey`

### Methods inherited from class org.h2.value.Value

`add, castTo, charLength, clearCache, compareTo, compareWithNull, containsNull, convertForAssignTo, convertTo, convertTo, convertTo, convertTo, convertTo, convertToAnyArray, convertToAnyJson, convertToAnyRow, convertToBigint, convertToBoolean, convertToChar, convertToDate, convertToDouble, convertToEnum, convertToGeometry, convertToInt, convertToInt, convertToJavaObject, convertToReal, convertToSmallint, convertToTinyint, convertToUuid, divide, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDouble, getFloat, getHigherOrder, getInputStream, getInputStream, getInt, getLong, getReader, getReader, getShort, getSignum, getTypeName, getUnsupportedExceptionForOperation, getValueWithFirstNull, isFalse, isTrue, modulus, multiply, negate, octetLength, subtract`

### Methods inherited from class org.h2.value.VersionedValue

`getCommittedValue, getCurrentValue, getOperationId, isCommitted`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

### Constructor Detail

#### DriverRow

    public DriverRow​(org.h2gis.api.FileDriver driver,
                     long key)

### Method Detail

#### getValueList

    public org.h2.value.Value[] getValueList()

Specified by:
  `getValueList` in class `org.h2.result.Row`

#### getColumnCount

    public int getColumnCount()

Specified by:
  `getColumnCount` in class `org.h2.result.SearchRow`

#### getValue

    public org.h2.value.Value getValue​(int column)

Specified by:
  `getValue` in class `org.h2.result.SearchRow`

#### setValue

    public void setValue​(int i,
                         org.h2.value.Value value)

Specified by:
  `setValue` in class `org.h2.result.SearchRow`

#### getMemory

    public int getMemory()

Specified by:
  `getMemory` in class `org.h2.result.SearchRow`

#### copyFrom

    public void copyFrom​(org.h2.result.SearchRow source)

Specified by:
  `copyFrom` in class `org.h2.result.SearchRow`

#### toString

    public String toString()

Overrides:
  `toString` in class `org.h2.value.Value`